Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038521
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2018-05-11 11:572018-05-15 20:43
ReporterumartirenaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision8642b9530182
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038521: Operative quantity in goods shipment line field gets overridden when using Create Lines From functionality

DescriptionOperative quantity in goods shipment line field gets overridden when using Create Lines From functionality.
Steps To ReproduceIn https://livebuilds.openbravo.com [^]
 * Login as System Administrator
 * Create a new preference:
    * Property: "Enable UOM Management"
    * Selected: "Y"
    * Value "Y"
 * Login as F&B Group Admin
 * Go to Sales Order window and create a new header.
 * Create a new line:
    * Product: "Zumo de Naranja Bio 0,33L"
    * Operative Quantity: 10
 * Book the order
 * Go to Goods Shipment window and create a new header.
 * Click on "Create Lines From" and select the previous created order and select the line with Quantity 10. Select also the Warehouse. Click OK
 * Check a new line has been created having Attribute Set Value field empty.
 * Edit the line and click on Product field magnifying glass.
 * Select a line for the same product with a non empty Attribute Set Value and different Quantity on Hand than the Operative Quantity of the Goods Shipment line.
 * Click OK.
 * Check that the Operative Quantity of the line has been overridden with the Quantity on Hand of the selected line in product selector, which should not happen.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038522 scheduledAtulOpenbravo Product Selector in Goods Shipment Line should be automatically filtered by the selected product if "Create Lines From" is used. 

-  Notes
(0104502)
AtulOpenbravo (developer)
2018-05-14 13:58

Test Plan

- Login as System Administrator
- Create a new preference:
    - Property: "Enable UOM Management"
    - Selected: "Y"
    - Value "Y"
- Login as F&B Group Admin
- Go to Sales Order window and create a new header for any business partner.
- Create a new line:
    - Product: "Zumo de Naranja Bio 0,33L"
    - Operative Quantity: 10
- Book the order
- Go to Goods Shipment window and create a new header.
- Click on "Create Lines From" and select the previous created order and select the line with Quantity 10. Select also the Warehouse. Click OK
- Check a new line has been created having Attribute Set Value field empty.
- Edit the line and click on Product field magnifying glass.
- Select a line for the same product with a non empty Attribute Set Value and different Quantity on Hand than the Operative Quantity of the Goods Shipment line.
- Click OK.
- Check that the Operative Quantity of the line is same as 10. It is not changed to the On Hand Quantity in the product selector.
- Using Product selector, add one more line with same product having some attribute and on hand quantity.
- Realized that Operative Quantity = On Hand Quantity in selector as this line is not referred from order line. Hence this is correct.
(0104504)
hgbot (developer)
2018-05-14 19:09

Repository: erp/devel/pi
Changeset: 8642b9530182c4f3e7c2b177ee87e42f59ea485b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 14 18:13:00 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8642b9530182c4f3e7c2b177ee87e42f59ea485b [^]

Fixes Issue 38521: Operative quantity in goods shipment line
field gets overridden when using Create Lines From
functionality

Modifying AUM qty as per on hand qty in product selector
to be done only when receipt/shipment line is not linked
with order line

---
M src/org/openbravo/erpCommon/ad_callouts/SL_InOutLine_Product.java
---
(0104505)
hgbot (developer)
2018-05-14 19:09

Repository: erp/devel/pi
Changeset: 32cfd33daee1ba338e976e1343ed9eb383f87273
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon May 14 18:21:41 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/32cfd33daee1ba338e976e1343ed9eb383f87273 [^]

Related to issue 38521: Code review improvements

---
M src/org/openbravo/erpCommon/ad_callouts/SL_InOutLine_Product.java
---
(0104506)
aferraz (developer)
2018-05-14 19:18

Code review + Testing OK
(0104533)
hudsonbot (developer)
2018-05-15 20:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79b08258a2aa [^]
Maturity status: Test
(0104534)
hudsonbot (developer)
2018-05-15 20:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79b08258a2aa [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-11 11:57 umartirena New Issue
2018-05-11 11:57 umartirena Assigned To => Triage Finance
2018-05-11 11:57 umartirena Modules => Core
2018-05-11 11:57 umartirena Triggers an Emergency Pack => No
2018-05-11 12:10 aferraz Assigned To Triage Finance => AtulOpenbravo
2018-05-14 13:58 AtulOpenbravo Status new => scheduled
2018-05-14 13:58 AtulOpenbravo Note Added: 0104502
2018-05-14 16:39 aferraz Relationship added related to 0038522
2018-05-14 19:09 hgbot Checkin
2018-05-14 19:09 hgbot Note Added: 0104504
2018-05-14 19:09 hgbot Status scheduled => resolved
2018-05-14 19:09 hgbot Resolution open => fixed
2018-05-14 19:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8642b9530182c4f3e7c2b177ee87e42f59ea485b [^]
2018-05-14 19:09 hgbot Checkin
2018-05-14 19:09 hgbot Note Added: 0104505
2018-05-14 19:18 aferraz Review Assigned To => aferraz
2018-05-14 19:18 aferraz Note Added: 0104506
2018-05-14 19:18 aferraz Status resolved => closed
2018-05-14 19:18 aferraz Fixed in Version => 3.0PR18Q3
2018-05-15 20:43 hudsonbot Checkin
2018-05-15 20:43 hudsonbot Note Added: 0104533
2018-05-15 20:43 hudsonbot Checkin
2018-05-15 20:43 hudsonbot Note Added: 0104534


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker